Bug 171170 - [ATK] ARIA treegrid role should be exposed as ATK_ROLE_TREE_TABLE; not ATK_ROLE_TABLE
Summary: [ATK] ARIA treegrid role should be exposed as ATK_ROLE_TREE_TABLE; not ATK_RO...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: WebKit Nightly Build
Hardware: All Linux
: P2 Normal
Assignee: Joanmarie Diggs (irc: joanie)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-04-22 12:31 PDT by Joanmarie Diggs (irc: joanie)
Modified: 2017-04-30 11:12 PDT (History)
9 users (show)

See Also:


Attachments
Patch (16.10 KB, patch)
2017-04-29 11:45 PDT, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2017-04-22 12:31:08 PDT
As per https://rawgit.com/w3c/aria/master/core-aam/core-aam.html#role-map-treegrid
Comment 1 Radar WebKit Bug Importer 2017-04-22 12:32:27 PDT
<rdar://problem/31775028>
Comment 2 Joanmarie Diggs (irc: joanie) 2017-04-29 11:45:01 PDT
Created attachment 308674 [details]
Patch
Comment 3 chris fleizach 2017-04-29 23:35:30 PDT
Comment on attachment 308674 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=308674&action=review

> Source/WebCore/accessibility/ios/WebAccessibilityObjectWrapperIOS.mm:650
> +            case TreeGridRole:

will need to update this method too

- (AccessibilityObjectWrapper*)_accessibilityTableAncestor
{
    
    if (const AccessibilityObject* parent = AccessibilityObject::matchedParent(*m_object, false, [] (const AccessibilityObject& object) {
        return object.roleValue() == TableRole || object.roleValue() == GridRole;
    }))
        return parent->wrapper();
    return nil;
}
Comment 4 Joanmarie Diggs (irc: joanie) 2017-04-30 02:40:25 PDT
Comment on attachment 308674 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=308674&action=review

> Source/WebCore/accessibility/ios/WebAccessibilityObjectWrapperIOS.mm:581
> +        return object.isTable();

Chris: Isn't the above the change you're asking me to make in your review? Otherwise, I'm suffering from grepfail.

>> Source/WebCore/accessibility/ios/WebAccessibilityObjectWrapperIOS.mm:650
>> +            case TreeGridRole:
> 
> will need to update this method too
> 
> - (AccessibilityObjectWrapper*)_accessibilityTableAncestor
> {
>     
>     if (const AccessibilityObject* parent = AccessibilityObject::matchedParent(*m_object, false, [] (const AccessibilityObject& object) {
>         return object.roleValue() == TableRole || object.roleValue() == GridRole;
>     }))
>         return parent->wrapper();
>     return nil;
> }

Please see above (I think I already did).
Comment 5 chris fleizach 2017-04-30 09:28:00 PDT
Comment on attachment 308674 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=308674&action=review

>> Source/WebCore/accessibility/ios/WebAccessibilityObjectWrapperIOS.mm:581
>> +        return object.isTable();
> 
> Chris: Isn't the above the change you're asking me to make in your review? Otherwise, I'm suffering from grepfail.

ah sorry!
Comment 6 WebKit Commit Bot 2017-04-30 11:12:04 PDT
Comment on attachment 308674 [details]
Patch

Clearing flags on attachment: 308674

Committed r215988: <http://trac.webkit.org/changeset/215988>
Comment 7 WebKit Commit Bot 2017-04-30 11:12:05 PDT
All reviewed patches have been landed.  Closing bug.